> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heliumid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verification session status codes

> Additional info about verification session statuses and their corresponding codes.

## What are session statuses?

Verification session statuses indicate the progress of the verification session, indicating the stage where the session currently is. Helium ID notifies you about the following stages, sending a descriptive label and a numerical status code:

* `not started` (1001)
* `started` (2000)
* `abandoned` (3033)
* `completed` (2001)
* `successful` (2010)
* `failed` (4100)
* `cancelled` (5000)

## Fetch session status

The session status is available in the `status` and `statusCode` properties in:

* The decision webhook payload
* The `GET /v1/verifications` response
* The `GET /v1/verifications/{id}` response

***

## Verification session status codes

The session status codes indicate the progress of the verification session, signaling the stage where the end-user’s verification process currently is.

This information is returned as strings for the `status` and numbers for the `statusCode`.

| Status        | Code   | Sent via      | What does this mean?                                                                                                                                                                                                                                    |
| :------------ | :----- | :------------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `not started` | `1001` | API           | A session has been created for the end-user. They have not yet entered the verification flow.                                                                                                                                                           |
| `started`     | `2000` | Webhook / API | The end-user has started their session and landed in Helium ID’s verification flow. No decision is available yet.                                                                                                                                       |
| `abandoned`   | `3033` | Webhook / API | Verification has been abandoned because the end-user started the verification session but never finished it (a session is abandoned 7 days after being created unless it gets a conclusive decision before that). The verification process is complete. |
| `completed`   | `2001` | Webhook / API | End-user’s required data has been submitted and processed.                                                                                                                                                                                              |
| `successful`  | `2010` | Webhook / API | **Positive:** end-user was verified. The verification process is complete.                                                                                                                                                                              |
| `failed`      | `4100` | Webhook / API | **Negative:** end-user has not been verified. The verification process is complete. Either it was a fraud case or some other severe reason that the end-user could not be verified. You should investigate the session further.                         |
| `cancelled`   | `5000` | Webhook / API | The verification session was explicitly cancelled before it could be completed.                                                                                                                                                                         |

Responses `2010`, `4100`, `3033` and `5000` are conclusive responses. The session is closed and the session URL is no longer available for the end-user to try again.

If you decide to give the end-user another try after a conclusive response, you need to create a new session using the `POST /v1/verifications` endpoint.

***

## About verification session expiry

All verification sessions expire after **7 days**.

* Sessions in the `not started` status will move to `cancelled`
* Sessions in the `started` status will move to `abandoned`
